#include<iostream>
#include<stdio.h>
#include<math.h>
using namespace std;
main()
{
	int N;
	cin>>N;
	int A[N];
	int k;
	cin>>k;
	for(int i=0;i<N;i++)
	scanf("%d",&A[i]);
	int S=0;
	if(k==0)
	for(int i=0;i<N;i++)
	S+=A[i];
	else
	for(int i=0;i<N;i++)
	for(int j=i;j<N;j++)
	for(int x=i;x<=j;x++)
	S+=A[x];
	printf("%d",S);
	
}